/**
Theme Name: Social Never Sleeps
Author: White Heat Design
Author URI: https://www.whiteheatdesign.co.uk
Description: 
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: social-never-sleeps
Template: astra
*/


.area-list ul {
  list-style: none;
  padding: 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(210px, 1fr));
  gap: 10px;
  margin: 0 auto;
}

.area-list ul li {
  text-align: center; /* Ensures the <li> content is centered */
}

.area-list ul li a {
  display: block; /* Makes the <a> fill its container */
  text-align: center;
  background-color: white;
  border: 2px solid #8b5cf6; /* Purple border */
  color: #8b5cf6;
  font-size: 1rem;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
  width: 100%; /* Ensures the <a> takes the full width of its container */
}

.area-list ul li a:hover {
  background-color: #8b5cf6;
  color: white;
}



@media only screen and (min-width: 1024px) {
    .hide-for-desktop {
        display: none !important;
    }
}

.pointer {
    cursor: pointer;
}

/* Menu */

#top-nav-container ul.elementor-nav-menu--dropdown a {
    border-left: 0;
}

/* General */

#main .elementor-widget-ucaddon_uc_icon_hover_effect_button a:hover {
    border-bottom: 0;
}

/* Footer */

@media only screen and (max-width: 1024px) {
    #footer-main-menu ul.elementor-nav-menu {
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        margin: 0 auto;
    }
}

/* Page Intros */

@media only screen and (max-width: 768px) {
    #homepage-intro {
        background-position: 77vw 0vh;
    }

    #homepage-intro .elementor-background-overlay {
        background-position: -110px 60px;
        background-size: 142%;
    }

    #home-mobile-intro-social-icons {
        width: 44px;
    }

    #home-mobile-intro-social-icons span {
        margin-bottom: 18px;
    }
}

@media only screen and (max-width: 768px) {
    #page-intro {
        background-image: linear-gradient(90deg, #F3F1F6 77%, #4d2c78 77%);
    }
}

/* Underline content links */
.ast-single-post .entry-content a, .ast-comment-content a:not(.ast-comment-edit-reply-wrap a), #content-canvas a {
    border-bottom:  1px solid;
}

.icon-top-align .elementor-icon-box-icon {
    margin-top: 4px;
}

@media only screen and (min-width: 1024px) {
    .single-post h2 {
        font-size: 40px;
        margin-bottom: 1.7rem;
        margin-top: 2.7rem;
    }

    .single-post h3 {
        font-size: 32px;
        margin-bottom: 1.7rem;
        margin-top: 2.7rem;
    }

    .single-post h4 {
        margin-bottom: 0.8rem;
        margin-top: 2rem;
    }

    .single-post h5 {
        margin-bottom: 0.8rem;
        margin-top: 2rem;
    }
}

@media only screen and (max-width: 1024px) {
    .single-post h2 {
        font-size: 32px;
        margin-bottom: 1.7rem;
        margin-top: 2.7rem;
    }

    .single-post h3 {
        font-size: 26px;
        margin-bottom: 1.7rem;
        margin-top: 2.7rem;
    }

    .single-post h4 {
        margin-bottom: 0.8rem;
        margin-top: 2rem;
    }

    .single-post h5 {
        margin-bottom: 0.8rem;
        margin-top: 2rem;
    }
}

#content-canvas blockquote p {
    /*color: #4f2570;*/
    font-family: 'Lora',serif;
    font-size: 21px;
}

#content-canvas blockquote {
    border-left: 5px solid #e2dcea;
    margin: 2.5em 1em 2.5em 3em;
}

#content-canvas .wp-block-pullquote {
    margin: 3em 0 3em;
}

#content-canvas figure.wp-block-pullquote blockquote {
    border-left: 0 !important;
}

/* Case Studies */

@media only screen and (max-width: 768px) {
    #case-study-stat-boxes .elementor-column .uc_box_counter {
        text-align: center;
    }

    #case-study-stat-boxes .uc_counter_box {
        max-width: 600px;
    }
}


/* Services */

#service-enquiry-form #form-field-service {
    display: none;
}

#service-enquiry-form .elementor-message-success {
    font-size: 16px;
    border: 1px solid;
    border-radius: 3px;
    padding: 10px;
    margin-top: 20px;
}


/* Improved Animations Stylesheet from https://element.how/elementor-improve-entrance-animations/ , works for the 'fade' animations */

@keyframes fadeDown {
    from {
        opacity: 0;
        transform: translate3d(0,-60px,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.elementor-element.fadeInDown {
    animation-name: fadeDown
}

@keyframes fadeLeft {
    from {
        opacity: 0;
        transform: translate3d(-60px,0,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.elementor-element.fadeInLeft {
    animation-name: fadeLeft
}

@keyframes fadeRight {
    from {
        opacity: 0;
        transform: translate3d(60px,0,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.elementor-element.fadeInRight {
    animation-name: fadeRight
}

@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translate3d(0,60px,0)
    }

    to {
        opacity: 1;
        transform: none
    }
}

.elementor-element.fadeInUp {
    animation-name: fadeUp
}

.grecaptcha-badge {
  visibility: hidden;
}